// import 'package:get/get.dart';

import 'package:flyinsono/lab/mock_data/mock_rpc.dart';
import 'package:get/get.dart';

class LabImageState {
  final RxBool _noImage = true.obs;
  bool get noImage => _noImage.value;
  set noImage(bool value) => _noImage.value = value;

  final RxBool _isImageDownloading = false.obs;
  bool get isImageDownloading => _isImageDownloading.value;
  set isImageDownloading(bool value) => _isImageDownloading.value = value;

  final Rx<ImageType> _imageType = Rx(ImageType.URM);
  ImageType get imageType => _imageType.value;
  set imageType(ImageType value) => _imageType.value = value;

  final RxBool _isVideo = false.obs;
  bool get isVideo => _isVideo.value;
  set isVideo(bool value) => _isVideo.value = value;

  final RxString _url = ''.obs;
  String get url => _url.value;
  set url(String value) => _url.value = value;

  final RxBool _disableMagnifier = false.obs;
  bool get disableMagnifier => _disableMagnifier.value;
  set disableMagnifier(bool value) => _disableMagnifier.value = value;

  final RxBool _isOnlyShowUrmInfo = false.obs;
  bool get isOnlyShowUrmInfo => _isOnlyShowUrmInfo.value;
  set isOnlyShowUrmInfo(bool value) => _isOnlyShowUrmInfo.value = value;
}
